Subject: CPE router learning DNS servers - comment on draft-ietf-v6ops-ipv6-cpe-router-03

From: "Dan Wing" <[email-masked]>
Date: Fri, 8 Jan 2010 12:09:32 -0800

1. I noticed draft-ietf-v6ops-ipv6-cpe-router does not reference RFC5505,
"Principles of Internet Host Configuration".  Is that intentional?

2. http://tools.ietf.org/html/rfc5505#page-11 says, in part:

   ...
   In IPv6, where link-layer-independent mechanisms such as stateless
   autoconfiguration [RFC4862] and stateless DHCPv6 [RFC3736] are
   available, PPP IPv6CP [RFC5072] configures an Interface-Identifier
   that is similar to a Media Access Control (MAC) address.  This
   enables PPP IPv6CP to avoid duplicating DHCPv6 functionality.
   ...

and I see that draft-ietf-v6ops-ipv6-cpe-router-03 only says:

   L-6:   The IPv6 CE router MUST support a DHCP server [RFC3315] on its
          LAN interfaces.  It MAY support Stateless Dynamic Host
                              ^^^
          Configuration Protocol (DHCP) Service for IPv6 [RFC3736].

Why is that only a MAY?  I mean, without the CE doing DHCPv6 towards 
the Service Provider's network, is there some other way the CE router 
learns the IPv6 network's DNS servers so it can propagate those 
DNS servers to hosts connecting to the CE router?  (I hope the answer 
is not 'manual configuration').

-d

---

From: Konrad Rosenbaum <[email-masked]>
Date: Fri, 8 Jan 2010 23:10:26 +0100

Hi Dan,

> is not 'manual configuration').

Both for IPv4 and IPv6 there are two options (known to me) to get the 
upstream DNS servers.

IPv4 based DNS servers:
*PPP option ms-dns (SP to CE only)
*DHCPv4

IPv6 based DNS servers:
*RA with DNS option
*DHCPv6

In all cases the CE always has the option to not use a forwarding DNS server 
at all and instead have a resolver that traverses from the root-zone 
servers directly (although DNS operators usually do not like this in widely 
distributed consumer boxes, since it eats up bandwidth). And of course 
there _is_ manual configuration, which is usually not the users favourite 
option.

	Konrad

---

From: "STARK, BARBARA H (ATTLABS)" <[email-masked]>
Date: Mon, 11 Jan 2010 14:36:47 -0500

The L-6 requirement is a LAN-side (DHCPv6 Server) requirement. However,
since SLAAC is the expected method for address config in the LAN, and
support for DHCPv6 DNS_SERVERS option is a MUST (and other options is a
SHOULD), I think that the MAY statement for stateless DHCPv6 support
might not be completely consistent.

As for the WAN-side (DHCPv6 client), there's currently no mention of
stateless DHCPv6. It does seem implied by other requirements that
describe support for SLAAC + the ability to get other config info via
DHCPv6. It might be good to be more explicit on this.
Barbara

> -----Original Message-----
> From: Dan Wing [mailto:[email-masked]]
...
> is not 'manual configuration').

*****

The information transmitted is intended only for the person or entity to which it is addressed and may contain confidential, proprietary, and/or privileged material. Any review, retransmission, dissemination or other use of, or taking of any action in reliance upon this information by persons or entities other than the intended recipient is prohibited. If you received this in error, please contact the sender and delete the material from all computers. GA621

---

From: "Dan Wing" <[email-masked]>
Date: Mon, 11 Jan 2010 11:45:46 -0800

> From: STARK, BARBARA H (ATTLABS) [mailto:[email-masked]] 
> Sent: Monday, January 11, 2010 11:37 AM
> To: Dan Wing; 
> [email-masked]; [email-masked]
> Subject: RE: CPE router learning DNS servers - comment on 
> draft-ietf-v6ops-ipv6-cpe-router-03
> 
> The L-6 requirement is a LAN-side (DHCPv6 Server) 
> requirement.

You're right; my misread.

> However, since SLAAC is the expected method for address config in 
> the LAN, and support for DHCPv6 DNS_SERVERS option is a MUST (and 
> other options is a SHOULD), I think that the MAY statement for 
> stateless DHCPv6 support might not be completely consistent.

Agreed - we certainly need a way for the hosts to learn their
IPv6 DNS servers.  And it should agree with RFC4339 and RFC5505
(neither of which are cited by draft-ietf-v6ops-ipv6-cpe-router-03).

> DHCPv6. It might be good to be more explicit on this.

Thanks.
-d

> The information transmitted is intended only for the person 
> or entity to which it is addressed and may contain 
> confidential, proprietary, and/or privileged material. Any 
> review, retransmission, dissemination or other use of, or 
> taking of any action in reliance upon this information by 
> persons or entities other than the intended recipient is 
> prohibited. If you received this in error, please contact the 
> sender and delete the material from all computers. GA621
> 
>

---

From: Ole Troan <[email-masked]>
Date: Thu, 14 Jan 2010 12:36:26 +0100

Dan,

to make sure this has been answered.

> (neither of which are cited by draft-ietf-v6ops-ipv6-cpe-router-03).

these changes should hopefully clear the inconsistency:

   L-10:  The IPv6 CE router MUST support a DHCPv6 server capable of
          IPv6 address assignment according to [RFC3315] OR a stateless
          DHCPv6 server according to [RFC3736] on its LAN interfaces.

   L-12:  The IPv6 CE router MUST support providing DNS information in
          the DHCPv6 DNS_SERVERS option [RFC3646].

with regards to RFC4339, I consider that historic at this point.
as for RFC5505 I see that more as guidelines for protocol developers. we are trying hard to invent nothing in this draft, so I'm not sure it is relevant to cite 5505 either.

>> DHCPv6. It might be good to be more explicit on this.

since we have a MUST on a stateful DHCP exchange on the WAN interface I don't see the purpose of mentioning  the so-called stateless variant.

cheers,
Ole

---

From: "Dan Wing" <[email-masked]>
Date: Thu, 14 Jan 2010 08:48:43 -0800

Thanks!
-d

> From: Ole Troan [mailto:[email-masked]] 
> Sent: Thursday, January 14, 2010 3:36 AM
> To: Dan Wing
> Cc: 'STARK, BARBARA H (ATTLABS)'; 
> Subject: Re: CPE router learning DNS servers - comment on 
> as for RFC5505 I see that more as guidelines for protocol 
> developers. we are trying hard to invent nothing in this 
> draft, so I'm not sure it is relevant to cite 5505 either.
> 
> since we have a MUST on a stateful DHCP exchange on the WAN 
> interface I don't see the purpose of mentioning  the 
> so-called stateless variant.
> 
> cheers,
> Ole
>